%define oname		osinfo

%define api		1.0
%define major		0
%define libname		%mklibname %{oname} %{api} %{major}
%define develname	%mklibname %{oname} %{api} -d

%define girmajor	1.0
%define girname		%mklibname %{oname}-gir %{girmajor}

%global __provides_exclude_from ^%{_datadir}/doc/%{develname}/demo.*$
%global __requires_exclude_from ^%{_datadir}/doc/%{develname}/demo.*$

Summary:	A library for managing OS information for virtualization
Name:		libosinfo
Version:	0.3.0
Release:	%mkrel 3
License:	LGPLv2+
Group:		System/Libraries
Source:		https://fedorahosted.org/releases/l/i/libosinfo/%{name}-%{version}.tar.gz
Patch0:		0001-add-support-for-generic-Mageia.patch
Patch1:		0002-recognize-Mageia-4.patch
Patch2:		0003-recognize-Mageia-4.1.patch
Patch3:		0004-recognize-Mageia-5.patch
Patch4:		0001-use-the-right-devices-by-default.patch
URL:		https://fedorahosted.org/libosinfo/
BuildRequires:	glib2-devel
BuildRequires:	libxml2-devel >= 2.6.0
BuildRequires:	vala
BuildRequires:	vala-tools
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(check)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libxslt)
# tests require xmllint:
BuildRequires:	libxml2-utils

%description
libosinfo is a library that allows virtualization provisioning tools to
determine the optimal device settings for a hypervisor/operating system
combination.


%package common
Summary:	Non-library files for the "%{libname}" library
Group:		System/Libraries

%description common
Platform-independent files for the "%{libname}" library

%files common -f %name.lang
%{_bindir}/osinfo-detect
%{_bindir}/osinfo-query
%{_bindir}/osinfo-db-validate
%{_bindir}/osinfo-install-script
%dir %{_datadir}/libosinfo/
%dir %{_datadir}/libosinfo/db/
%dir %{_datadir}/libosinfo/schemas/
%{_datadir}/libosinfo/db/device
%{_datadir}/libosinfo/db/os
%{_datadir}/libosinfo/db/platform
%{_datadir}/libosinfo/db/install-script
%{_datadir}/libosinfo/db/datamap
%{_datadir}/libosinfo/schemas/libosinfo.rng
%{_mandir}/man1/osinfo-db-validate.1.*
%{_mandir}/man1/osinfo-detect.1.*
%{_mandir}/man1/osinfo-query.1.*
%{_mandir}/man1/osinfo-install-script.1.*

%package -n %{libname}
Summary:	Library plugin handling
Group:		System/Libraries
Requires:	%{name}-common = %{version}-%{release}
Provides:	%{mklibname %{oname} %{major}} = %{version}-%{release}

%description -n %{libname}
libosinfo is a library that allows virtualization provisioning tools to
determine the optimal device settings for a hypervisor/operating system
combination.

%files -n %{libname}
%{_libdir}/%{name}-%{api}.so.%{major}{,.*}


%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %version-%release
Provides:	%{oname}-devel = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%files -n %{develname}
%doc AUTHORS ChangeLog COPYING.LIB NEWS README
%doc examples/demo.js
%doc examples/demo.py
%{_libdir}/%{name}-%{api}.so
%dir %{_includedir}/%{name}-%{api}/
%dir %{_includedir}/%{name}-%{api}/osinfo/
%{_includedir}/%{name}-%{api}/osinfo/*.h
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_datadir}/gir-1.0/Libosinfo-%{api}.gir
%{_datadir}/gtk-doc/html/Libosinfo
%{_datadir}/vala/vapi/libosinfo-1.0.vapi

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/Libosinfo-%{girmajor}.typelib

%prep
%autosetup -p1

%build
%configure2_5x --enable-introspection=yes --enable-vala=yes --disable-static --with-usb-ids-path=/usr/share/usb.ids --with-pci-ids-path=/usr/share/pci.ids
%make V=1

chmod a-x examples/*.js examples/*.py

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%find_lang %name

%check
make check


%changelog
* Tue Jun 07 2016 tv <tv> 0.3.0-3.mga6
+ Revision: 1020516
- ensure we use the right devices by default for MGA VMs:
  o virtio, QXL & the like
  o but especially the USB tablet aka mouse integration, mostly for drakx
    (as it works out of the box with legacy mouse after install thx to agents)

* Fri Mar 25 2016 tv <tv> 0.3.0-2.mga6
+ Revision: 995467
- reenable testsuite after fixing

* Fri Mar 25 2016 tv <tv> 0.3.0-1.mga6
+ Revision: 995453
- new release
- remove no more existing option
- make it use pci.ids + usb.ids from ldetect-lst
- adjust file list
- testsuite fails
- add support for mga[45] too
- restrict matching

* Fri Mar 25 2016 tv <tv> 0.2.12-9.mga6
+ Revision: 995431
- mga support patch:
  o split netinstall
  o add variant IDs
  o add kernel/initrd pathes
  o make live be x86_64

* Fri Mar 25 2016 tv <tv> 0.2.12-8.mga6
+ Revision: 995426
- enhance mga support patch

* Fri Mar 25 2016 tv <tv> 0.2.12-7.mga6
+ Revision: 995350
- recognize regular install DVD instead of just boot.iso

* Thu Mar 24 2016 tv <tv> 0.2.12-6.mga6
+ Revision: 995224
- actually apply patch :-(

* Thu Mar 24 2016 tv <tv> 0.2.12-5.mga6
+ Revision: 995207
- patch 0: add support for generic Mageia

* Thu Feb 11 2016 umeabot <umeabot> 0.2.12-4.mga6
+ Revision: 955611
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 wally <wally> 0.2.12-3.mga6
+ Revision: 847871
- drop bogus requires

* Mon Jun 29 2015 wally <wally> 0.2.12-2.mga6
+ Revision: 847560
- add requires for gir pkg to devel pkg

* Mon Jun 22 2015 ovitters <ovitters> 0.2.12-1.mga6
+ Revision: 838838
- new version 0.2.12

* Fri Oct 24 2014 cjw <cjw> 0.2.11-5.mga5
+ Revision: 792896
- use upstream mageia os definition, fixes virt-manager VM creation wizard

* Wed Oct 15 2014 umeabot <umeabot> 0.2.11-4.mga5
+ Revision: 740629
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 0.2.11-3.mga5
+ Revision: 724925
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.2.11-2.mga5
+ Revision: 681691
- Mageia 5 Mass Rebuild

  + tv <tv>
    - auto convert _exclude_files_from_autoreq

* Wed Aug 27 2014 pterjan <pterjan> 0.2.11-1.mga5
+ Revision: 668806
- 0.2.11 (needed by latest gnome-boxes)

* Sat May 17 2014 sander85 <sander85> 0.2.10-1.mga5
+ Revision: 623386
- New version: 0.2.10

* Wed Feb 05 2014 ovitters <ovitters> 0.2.9-1.mga5
+ Revision: 583809
- new version 0.2.9

* Sat Oct 19 2013 umeabot <umeabot> 0.2.7-2.mga4
+ Revision: 523836
- Mageia 4 Mass Rebuild

* Sat May 25 2013 blino <blino> 0.2.7-1.mga4
+ Revision: 427655
- package datamaps files
- package lang files
- 0.2.7

* Sat Jan 12 2013 umeabot <umeabot> 0.2.1-2.mga3
+ Revision: 357938
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 08 2012 fwang <fwang> 0.2.1-1.mga3
+ Revision: 316302
- new version 0.2.1

* Tue Sep 11 2012 ovitters <ovitters> 0.2.0-1.mga3
+ Revision: 292442
- update file list
- br libxslt
- new version 0.2.0

* Sun Sep 02 2012 fwang <fwang> 0.1.2-3.mga3
+ Revision: 287254
+ rebuild (emptylog)

* Sun Sep 02 2012 fwang <fwang> 0.1.2-2.mga3
+ Revision: 287215
- add mageia distro

* Thu Aug 16 2012 fedya <fedya> 0.1.2-1.mga3
+ Revision: 281499
- version update 0.1.2

* Tue May 29 2012 ovitters <ovitters> 0.1.1-1.mga3
+ Revision: 249210
- update file list
- update buildrequires
- update buildrequires
- new version 0.1.1

* Wed Feb 08 2012 ovitters <ovitters> 0.1.0-1.mga2
+ Revision: 206368
- new version

* Mon Jan 16 2012 ovitters <ovitters> 0.0.5-1.mga2
+ Revision: 196942
- new version 0.0.5

* Sat Dec 17 2011 ovitters <ovitters> 0.0.3-1.mga2
+ Revision: 183049
- new version 0.0.3

* Thu Dec 01 2011 fwang <fwang> 0.0.2-2.mga2
+ Revision: 174689
- exclude req for demo files

* Wed Nov 30 2011 ovitters <ovitters> 0.0.2-1.mga2
+ Revision: 174375
- fix spec
- imported package libosinfo

